Debian Bug report logs - #477454
Insulting source code

version graph

Package: quodlibet; Maintainer for quodlibet is Ondřej Kuzník <ondra@mistotebe.net>; Source for quodlibet is src:quodlibet.

Reported by: Sebastian Dröge <slomo@circular-chaos.org>

Date: Wed, 23 Apr 2008 10:24:01 UTC

Severity: serious

Tags: upstream

Found in versions quodlibet/1.0-1, quodlibet/1.0-2

Fixed in versions quodlibet/1.0.ds1-2, quodlibet/2.0-1

Done: Tristan Seligmann <mithrandi@mithrandi.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Dröge <slomo@circular-chaos.org>:
New Bug report received and forwarded. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Dröge <slomo@circular-chaos.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Insulting source code
Date: Wed, 23 Apr 2008 12:20:35 +0200
[Message part 1 (text/plain, inline)]
Package: quodlibet
Version: 1.0-1
Severity: serious

Hi,
since SVN revision r4027 quodlibet's source code is personally insulting
me, probably as reaction of Debian bug #421167 which was caused by a
mistake on my side:

===================================================================
--- player.py (Revision 4026)
+++ player.py (Revision 4027)
@@ -287,7 +287,9 @@

 def init(pipeline, librarian):
     gst.debug_set_default_threshold(gst.LEVEL_ERROR)
- if gst.element_make_from_uri(gst.URI_SRC, "file://", ""):
+ if gst.element_make_from_uri(
+ gst.URI_SRC,
+ "file:///Sebastian/Droge/please/choke/on/a/bucket/of/cocks", ""):
         global playlist
         playlist = PlaylistPlayer(pipeline or "gconfaudiosink",
librarian)
         return playlist
daniel@bert:~/1/quodlibet-1.x$ svn log -r 4026:4027
------------------------------------------------------------------------
r4027 | piman | 2007-04-27 05:17:05 +0200 (Fr, 27 Apr 2007) | 1 line

player.init: Give a fake filename to trick GStreamer 0.10.12's filesrc.
------------------------------------------------------------------------


Please get this fixed, it's fine if source code is insulting other
pieces of code or random things but personal insults are IMHO going too
far.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Mike O'Connor <stew@vireo.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #10 received at 477454@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@vireo.org>
To: 477454@bugs.debian.org
Subject: this bug is not RC
Date: Wed, 23 Apr 2008 20:58:52 -0400
[Message part 1 (text/plain, inline)]
tag 477454 upstream
severity 477454 minor
thanks

Although this abuse is unfortunate, I fail to see what makes this bug
release critical.
[signature.asc (application/pgp-signature, inline)]

Tags added: upstream Request was from Mike O'Connor <stew@vireo.org> to control@bugs.debian.org. (Thu, 24 Apr 2008 01:01:48 GMT) Full text and rfc822 format available.

Severity set to `minor' from `serious' Request was from Mike O'Connor <stew@vireo.org> to control@bugs.debian.org. (Thu, 24 Apr 2008 01:01:53 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #19 received at 477454@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 477454@bugs.debian.org
Subject: bugs is serious, sorry
Date: Thu, 24 Apr 2008 17:10:36 +0200
severity 477454 serious
thanks

Hi,

I don't think we should release with that kind of code in Debian - what
Kindergarten games does upstream want to play with us here? No, that
should be fixed and the fix is pretty easy and forward.


Cheers,
Andi
-- 
  http://home.arcor.de/andreas-barth/




Severity set to `serious' from `minor' Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. (Thu, 24 Apr 2008 15:12:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Bastian Kleineidam <calvin@debian.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #26 received at 477454@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@debian.org>
To: Debian Bug Tracking System <477454@bugs.debian.org>
Subject: Re: Insulting source code
Date: Thu, 24 Apr 2008 19:30:50 +0200
Package: quodlibet
Version: 1.0-2
Followup-For: Bug #477454

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I agree with Andreas Barth. This is bad style, and it even could
result in a law suit brought upon the Debian project.
So just replace the offending lines please.

Regards,
  Bastian

- -- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24treasure6 (PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages quodlibet depends on:
ii  exfalso                       1.0-2      audio tag editor for GTK+
ii  gstreamer0.10-plugins-base    0.10.19-1  GStreamer plugins from the "base" 
ii  gstreamer0.10-plugins-good    0.10.8-1   GStreamer plugins from the "good" 
ii  gstreamer0.10-plugins-ugly    0.10.7-3   GStreamer plugins from the "ugly" 
ii  python                        2.5.2-1    An interactive high-level object-o
ii  python-central                0.6.5      register and build utility for Pyt
ii  python-gst0.10                0.10.11-1  generic media-playing framework (P

Versions of packages quodlibet recommends:
ii  gstreamer0.10-alsa            0.10.19-1  GStreamer plugin for ALSA
ii  gstreamer0.10-gnomevfs        0.10.19-1  GStreamer plugin for GnomeVFS
ii  python-feedparser             4.1-10     Universal Feed Parser for Python
ii  quodlibet-ext                 1.0-2      extensions for the Quod Libet audi

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIEMPKeBwlBDLsbz4RAi/nAKC9f8qdn4pssK8z8HUbyhmwBPuacACeM7JI
Mk2nBk7VKi52QLrnMCerrjU=
=Gfzy
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #31 received at 477454@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bastian Kleineidam <calvin@debian.org>, 477454@bugs.debian.org
Subject: Re: Bug#477454: Insulting source code
Date: Thu, 24 Apr 2008 19:46:38 +0200
On Thu, Apr 24, 2008 at 19:30:50 +0200, Bastian Kleineidam wrote:

> I agree with Andreas Barth. This is bad style, and it even could
> result in a law suit brought upon the Debian project.

No, this can't result in a lawsuit against Debian, please take your
bullshit elsewhere, kthxbye.

Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Tristan Seligmann <mithrandi@mithrandi.net>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #36 received at 477454@bugs.debian.org (full text, mbox):

From: Tristan Seligmann <mithrandi@mithrandi.net>
To: Andreas Barth <aba@not.so.argh.org>, 477454@bugs.debian.org
Subject: Re: Bug#477454: bugs is serious, sorry
Date: Thu, 24 Apr 2008 20:39:15 +0200
[Message part 1 (text/plain, inline)]
* Andreas Barth <aba@not.so.argh.org> [2008-04-24 17:10:36 +0200]:

> severity 477454 serious
> thanks
> 
> Hi,
> 
> I don't think we should release with that kind of code in Debian - what
> Kindergarten games does upstream want to play with us here? No, that
> should be fixed and the fix is pretty easy and forward.

I don't really see that this issue is serious enough to warrant
repacking the upstream tarball, and patching the binary package doesn't
seem to achieve anything either, since the only way someone would see
this is if they went looking. What exactly is your proposed solution
here?

I also very much doubt this is the only instance of profanity in the
source code of packages in Debian (grep the Linux kernel source for
"colourful" words sometime), so I'm not sure why this is such a big
issue.

To the best of my knowledge, the next upstream release will not contain
this particular code snippet anyway, but that's probably still quite a
long way off given the activity that's happening in upstream svn.
-- 
mithrandi, i Ainil en-Balandor, a faer Ambar
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Bastian Kleineidam <calvin@debian.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #41 received at 477454@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 477454@bugs.debian.org
Subject: Re: Bug#477454: Insulting source code
Date: Thu, 24 Apr 2008 21:46:56 +0200
[Message part 1 (text/plain, inline)]
Am Donnerstag, 24. April 2008 19:46:38 schrieben Sie:
> No, this can't result in a lawsuit against Debian, please take your
> bullshit elsewhere, kthxbye.
At least in Germany, it can. It is not legal to insult a person in public 
(even with free speech). So if Sebastian Dröge is indeed from Germany, he 
could sue if Debian continues to distribute the above insult after taking 
notice of the offending lines.

I think this is unlikely, but the possibility is there.

Kind regards,
  Bastian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Antonio SJ Musumeci <asm3072@njit.edu>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #46 received at 477454@bugs.debian.org (full text, mbox):

From: Antonio SJ Musumeci <asm3072@njit.edu>
To: Bastian Kleineidam <calvin@debian.org>, 477454@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, 477454@bugs.debian.org
Subject: Re: Bug#477454: Insulting source code
Date: Thu, 24 Apr 2008 16:05:52 -0400
Doesn't seem like you could call that "free" to me. Either way this is
a non-issue.

On Thu, 24 Apr 2008 21:46:56 +0200
Bastian Kleineidam <calvin@debian.org> wrote:

> Am Donnerstag, 24. April 2008 19:46:38 schrieben Sie:
> > No, this can't result in a lawsuit against Debian, please take your
> > bullshit elsewhere, kthxbye.
> At least in Germany, it can. It is not legal to insult a person in
> public (even with free speech). So if Sebastian Dröge is indeed from
> Germany, he could sue if Debian continues to distribute the above
> insult after taking notice of the offending lines.
> 
> I think this is unlikely, but the possibility is there.
> 
> Kind regards,
>   Bastian




Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to "Michael Urman" <murman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #51 received at 477454@bugs.debian.org (full text, mbox):

From: "Michael Urman" <murman@gmail.com>
To: "Bastian Kleineidam" <calvin@debian.org>, 477454@bugs.debian.org
Subject: Re: Bug#477454: Insulting source code
Date: Thu, 24 Apr 2008 19:27:16 -0500
> I agree with Andreas Barth. This is bad style, and it even could
> result in a law suit brought upon the Debian project.
> So just replace the offending lines please.

Can the severity descriptions or policy be updated to reflect this
then? Serious is currently listed as
"a severe violation of Debian policy" or "in the package maintainer's
opinion...unsuitable for release." on
http://www.debian.org/Bugs/Developer#severities; nothing I could find
in a quick perusal of the linked policy at
http://www.debian.org/doc/debian-policy/ appeared to address this sort
of situation. As currently written (excluding anything relevant I
missed in the policy) I don't see how anything other than "minor" or
"wishlist" can apply.

-- 
Michael Urman




Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to "Leif Walsh" <adlaiff6@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #56 received at 477454@bugs.debian.org (full text, mbox):

From: "Leif Walsh" <adlaiff6@gmail.com>
To: "Tristan Seligmann" <mithrandi@mithrandi.net>, 477454@bugs.debian.org
Cc: "Andreas Barth" <aba@not.so.argh.org>
Subject: Re: Bug#477454: bugs is serious, sorry
Date: Thu, 24 Apr 2008 23:31:45 -0400
On Thu, Apr 24, 2008 at 2:39 PM, Tristan Seligmann
<mithrandi@mithrandi.net> wrote:
>  > severity 477454 serious
>  > thanks
>  >
>  > Hi,
>  >
>  > I don't think we should release with that kind of code in Debian - what
>  > Kindergarten games does upstream want to play with us here? No, that
>  > should be fixed and the fix is pretty easy and forward.
>
>  I don't really see that this issue is serious enough to warrant
>  repacking the upstream tarball, and patching the binary package doesn't
>  seem to achieve anything either, since the only way someone would see
>  this is if they went looking. What exactly is your proposed solution
>  here?
>
>  I also very much doubt this is the only instance of profanity in the
>  source code of packages in Debian (grep the Linux kernel source for
>  "colourful" words sometime), so I'm not sure why this is such a big
>  issue.
>
>  To the best of my knowledge, the next upstream release will not contain
>  this particular code snippet anyway, but that's probably still quite a
>  long way off given the activity that's happening in upstream svn.

I am not aware of the reason why Mr. Droge should be consuming buckets
of phalli, and, even if it is appropriate for him to do so, I don't
believe that personal attacks, in general, are a good programming
paradigm, for any project.  They seem to more degrade the attacker
than the target.

-- 
Cheers,
Leif




Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Dröge <slomo@circular-chaos.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #61 received at 477454@bugs.debian.org (full text, mbox):

From: Sebastian Dröge <slomo@circular-chaos.org>
To: 477454@bugs.debian.org
Subject: Re: Bug#477454: bugs is serious, sorry
Date: Fri, 25 Apr 2008 23:28:18 +0200
[Message part 1 (text/plain, inline)]
> Am Donnerstag, 24. April 2008 19:46:38 schrieben Sie:
> > No, this can't result in a lawsuit against Debian, please take your
> > bullshit elsewhere, kthxbye.
> At least in Germany, it can. It is not legal to insult a person in public 
> (even with free speech). So if Sebastian Dröge is indeed from Germany, he 
> could sue if Debian continues to distribute the above insult after taking 
> notice of the offending lines.
> 
> I think this is unlikely, but the possibility is there.

Although I'm from Germany I'll definitely won't sue Debian, I don't think
this partical German law is a very good one and being a DD I consider myself
as a part of the Debian project too.

> I also very much doubt this is the only instance of profanity in the
> source code of packages in Debian (grep the Linux kernel source for
> "colourful" words sometime), so I'm not sure why this is such a big
> issue.

The only difference here being, that all instances of "colourful words" in
the Linux kernel sources I'm aware of are attacking specific hardware of software
instead of individuals.

> > I agree with Andreas Barth. This is bad style, and it even could
> > result in a law suit brought upon the Debian project.
> > So just replace the offending lines please.
> 
> Can the severity descriptions or policy be updated to reflect this
> then? Serious is currently listed as
> "a severe violation of Debian policy" or "in the package maintainer's
> opinion...unsuitable for release." on
> http://www.debian.org/Bugs/Developer#severities; nothing I could find
> in a quick perusal of the linked policy at
> http://www.debian.org/doc/debian-policy/ appeared to address this sort
> of situation. As currently written (excluding anything relevant I
> missed in the policy) I don't see how anything other than "minor" or
> "wishlist" can apply.

Unfortunately I have to agree with you here, there really seems to be nothing
in the policy or severity descriptions which would justify a RC severity for
this bug. Nonetheless I believe that this should be added.

> To the best of my knowledge, the next upstream release will not contain
> this particular code snippet anyway, but that's probably still quite a
> long way off given the activity that's happening in upstream svn.

Well, the upstream code is just a bit nicer now:
http://www.sacredchao.net/quodlibet/changeset/4267

> I don't really see that this issue is serious enough to warrant
> repacking the upstream tarball, and patching the binary package doesn't
> seem to achieve anything either, since the only way someone would see
> this is if they went looking. What exactly is your proposed solution
> here?

It's not like repacking a tarball is that much of work ;)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Tristan Seligmann <mithrandi@mithrandi.net>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #66 received at 477454@bugs.debian.org (full text, mbox):

From: Tristan Seligmann <mithrandi@mithrandi.net>
To: Sebastian Dröge <slomo@circular-chaos.org>, debian-release@lists.debian.org
Cc: 477454@bugs.debian.org
Subject: Re: Bug#477454: bugs is serious, sorry
Date: Mon, 28 Apr 2008 13:06:39 +0200
[Message part 1 (text/plain, inline)]
* Sebastian Dröge <slomo@circular-chaos.org> [2008-04-25 23:28:18 +0200]:

> Well, the upstream code is just a bit nicer now:
> http://www.sacredchao.net/quodlibet/changeset/4267

Okay, I don't see much point in arguing over this further; is the
upstream change enough to make you (Sebastian) and the release team
happy? If so, I'll roll a new tarball with that change, and upload that
(I'll need someone to sponsor the upload, though.)

> > I don't really see that this issue is serious enough to warrant
> > repacking the upstream tarball, and patching the binary package doesn't
> > seem to achieve anything either, since the only way someone would see
> > this is if they went looking. What exactly is your proposed solution
> > here?
> 
> It's not like repacking a tarball is that much of work ;)

No, but there are other reasons not to do it, all of which have been
discussed to death elsewhere :P
-- 
mithrandi, i Ainil en-Balandor, a faer Ambar
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #71 received at 477454@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Michael Urman <murman@gmail.com>, 477454@bugs.debian.org, Tristan Seligmann <mithrandi@mithrandi.net>
Subject: Re: Bug#477454: Insulting source code
Date: Mon, 28 Apr 2008 17:03:39 +0200
On Thu, Apr 24, 2008 at 07:27:16PM -0500, Michael Urman wrote:
> Can the severity descriptions or policy be updated to reflect this
> then? Serious is currently listed as
> "a severe violation of Debian policy" or "in the package maintainer's
> opinion...unsuitable for release." on
            ^^^^^^^^^^^^^^^^^^^^^^

 I guess you can take Andreas Barth's statement as having his release
manager hat on. The whole situation itself is really like feeling in
kindergarden...

On Mon, Apr 28, 2008 at 01:06:39PM +0200, Tristan Seligmann wrote:
> * Sebastian Dröge <slomo@circular-chaos.org> [2008-04-25 23:28:18 +0200]:
> > Well, the upstream code is just a bit nicer now:
> > http://www.sacredchao.net/quodlibet/changeset/4267
> 
> Okay, I don't see much point in arguing over this further; is the
> upstream change enough to make you (Sebastian) and the release team
> happy? If so, I'll roll a new tarball with that change, and upload that
> (I'll need someone to sponsor the upload, though.)

 If you are having problems to find a sponsor for the upload, give me a
shot. I "depend" on quodlibet quite intensively for my daily sanity and
motivation that I'd jump through several hoops these days to get it into
a proper state for the release.

> > It's not like repacking a tarball is that much of work ;)
> 
> No, but there are other reasons not to do it, all of which have been
> discussed to death elsewhere :P

 Even though DFSG#5 speaks about the licence one could argue that it
shouldn't only cover that and that it could apply here.

 So long,
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Dröge <slomo@circular-chaos.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #76 received at 477454@bugs.debian.org (full text, mbox):

From: Sebastian Dröge <slomo@circular-chaos.org>
To: Tristan Seligmann <mithrandi@mithrandi.net>
Cc: debian-release@lists.debian.org, 477454@bugs.debian.org
Subject: Re: Bug#477454: bugs is serious, sorry
Date: Tue, 29 Apr 2008 13:46:56 +0200
[Message part 1 (text/plain, inline)]
Am Montag, den 28.04.2008, 13:06 +0200 schrieb Tristan Seligmann:
> * Sebastian Dröge <slomo@circular-chaos.org> [2008-04-25 23:28:18 +0200]:
> 
> > Well, the upstream code is just a bit nicer now:
> > http://www.sacredchao.net/quodlibet/changeset/4267
> 
> Okay, I don't see much point in arguing over this further; is the
> upstream change enough to make you (Sebastian) and the release team
> happy? If so, I'll roll a new tarball with that change, and upload that
> (I'll need someone to sponsor the upload, though.)

I can sponsor this upload if you want.

But the upstream change is not enough to make me completely happy. I'd
prefer if this line contained just a neutral URL instead of an URL that
expresses the wish to let me choke on cookies ;)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #81 received at 477454@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 477454@bugs.debian.org
Cc: Sebastian Dröge <slomo@circular-chaos.org>
Subject: how about wontfix?
Date: Sat, 3 May 2008 18:41:53 +0200
[Message part 1 (text/plain, inline)]
Guys,

Sure the code change is very childish. But do you think that the best response 
is to file release critical bugs and repack the source?

It seems to me that a much better approach to childish behaviour is to just 
ignore it, close the bug, show that we're not lowering ourselves to his 
battle and just get on with life.


Thijs
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to "Dale J. Chatham" <dale@chatham.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #86 received at 477454@bugs.debian.org (full text, mbox):

From: "Dale J. Chatham" <dale@chatham.org>
To: 477454@bugs.debian.org
Subject: Childish bullshit
Date: Sat, 10 May 2008 19:34:28 -0500
This is childish bullshit and makes you all look like a bunch of rank 
amateurs.

If you stoop to this kind of kindergarten antics, how can I trust any of 
Debian's code?

Yet another reason *NOT* to use Debian.




Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to "Thomas Folz-Donahue" <eigenlambda@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #91 received at 477454@bugs.debian.org (full text, mbox):

From: "Thomas Folz-Donahue" <eigenlambda@gmail.com>
To: "Dale J. Chatham" <dale@chatham.org>, 477454@bugs.debian.org
Subject: Re: Bug#477454: Childish bullshit
Date: Sat, 10 May 2008 20:56:28 -0400
On Sat, May 10, 2008 at 8:34 PM, Dale J. Chatham <dale@chatham.org> wrote:
> This is childish bullshit and makes you all look like a bunch of rank
> amateurs.
>
> If you stoop to this kind of kindergarten antics, how can I trust any of
> Debian's code?
>
> Yet another reason *NOT* to use Debian.

Hi,

Would it kill you to read the report before commenting on it?  this is
quodlibet's problem, not Debian's.  Ubuntu and Red Hat also have this
same problem.  You mean, "yet another reason to use Windows XP"...
</flamebait>

~thomas
-- 
cartwheel ^(^_^)> v(.-.)v <(^_^)^




Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to "Kim Hansen" <kimhanse@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #96 received at 477454@bugs.debian.org (full text, mbox):

From: "Kim Hansen" <kimhanse@gmail.com>
To: 477454@bugs.debian.org
Subject: Childish insults removed
Date: Tue, 13 May 2008 18:22:18 +0200
It looks like upstream has removed the childish insults:
http://www.sacredchao.net/quodlibet/changeset/4270

-- 
Kim Hansen
Vadgårdsvej 3, 2.tv
2860 Søborg
Fastnet: 3956 2437 -- Mobil: 3091 2437




Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #101 received at 477454@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 477454@bugs.debian.org
Subject: a few of the many occurences of "fuck" in Debian changelogs (and more)
Date: Tue, 3 Jun 2008 18:22:44 -0400
[Message part 1 (text/plain, inline)]
Now that this bug has been brought to my attention, I cannot help
myself. I have to grep Debian changelogs for profanity, filter for
profanity that includes personal insults, and wonder why these packages
reached the archive w/o RC bug reports being filed:

  * The fucked up system release. (Fuck off Long, it is justified.)

 -- Zephaniah E. Hull <warp@debian.org>  Mon, 18 Mar 2002 19:10:17 -0500

(IIRC the Long mentioned is a user who adopted the name of the Heinlein
character.)

  * Changed debian/watch to match with the new fucking Sourceforge
    Interface. Sourceforge sucks!

 -- Joerg Jaspert <joerg@debian.org>  Sun,  5 May 2002 15:24:17 +0200

(I guess this was before he bacame a ftp-master and started drinking milk.)

  * The "Fuck Me Harder" release.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Fri, 29 Oct 1999 09:06:27 -0700

(Not a personal insult, but my all time favorite occurance of "fuck"
in a changelog, evar. Honorable mention to gpm 1.19.6-10.)

  * allow hunspell-dictionary-de in hunspells Depends:, thanks
    Gerfried Fucks (closes: #359628)

 -- Rene Engelhard <rene@debian.org>  Tue, 28 Mar 2006 20:08:34 +0200

(Er, ITYM "Fuchs". HTH.)

  * Use [:lower:] in rules fule because fucking LC_COLLATE blows me.

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2001 22:59:58 -0400

(Just to be clear, I *do* intend that as a personal insult to the inventors
of that monstrosity.)

    * The "I fucking hate libtool" release. Prevent libtool from checking things
      we do not need at all, such as a C++ or an F77 compiler. Sigh.

 -- Julien BLACHE <jblache@debian.org>  Tue,  3 Jun 2003 22:34:48 +0200

(Surely not this can't be the ONLY "I fucking hate libtool" release?)

    - Avoid recursive brainfuck with type-handling.  This actualy fixes
      #297269, but we leave it for t-h to close.

 -- Robert Millan <rmh@debian.org>  Thu, 14 Apr 2005 18:36:04 +0200

(Honourable mention for the mental imagery.)

  * 'wearing my "fuck redhat" shirt and loving it' release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed,  7 Mar 2001 10:42:03 -0800

(A shirt I remember well, though actually not fondly.)

    The upstream author is kind of a lazy bastard

 -- Colin Walters <walters@debian.org>  Fri, 15 Aug 2003 21:31:23 -0400

(Does profanely insulting oneself count though?)


PS, don't even get me started on the (literally) 490 occurances of the term
"shit" in dpkg's source. Which are split (localized?) between a ohshite()
and a ohshit() function.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Tristan Seligmann <mithrandi@mithrandi.net>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #106 received at 477454@bugs.debian.org (full text, mbox):

From: Tristan Seligmann <mithrandi@mithrandi.net>
To: debian-python@lists.debian.org
Cc: 477454@bugs.debian.org
Subject: Re: RFS: quodlibet (1.0.ds1-1)
Date: Wed, 4 Jun 2008 03:44:23 +0200
[Message part 1 (text/plain, inline)]
* Joey Hess <joeyh@debian.org> [2008-06-03 17:53:23 -0400]:

> If the presense of this buried in an internal source file is so
> vile/illegal/unlike other profanity in software in Debian that you have to
> *repackage* the upstream tarball to hide it from the tender eyes of our users
> (with all the problems that entails), why do you then turn around and add it
> back in to the most important file that we expect our users to read?

Well, fair enough; I suppose the README.Debian note should not be quite
as explicit as I made it. I'm just not very happy with the gratuitous
(in my view) change to the upstream tarball, so I wanted to be as clear
about it as I could for anyone else wondering why it didn't match the
released tarball. If it were up to me, I wouldn't be making this change
at all, but it seems the alternative is to release lenny without
quodlibet, which is not very satisfactory either.

I've prepared a new version with this change here:

    http://mithrandi.net/debian/pool/main/q/quodlibet/quodlibet_1.0.ds1-2.dsc

> PS: What does quodlibet sponsorship have to do with the debian-python mailing
>     list?

It's a python package, and sponsorship requests for Python packages are
often sent to this list.
-- 
mithrandi, i Ainil en-Balandor, a faer Ambar
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #111 received at 477454@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: debian-python@lists.debian.org, 477454@bugs.debian.org
Subject: Re: RFS: quodlibet (1.0.ds1-1)
Date: Tue, 3 Jun 2008 22:51:16 -0400
[Message part 1 (text/plain, inline)]
Tristan Seligmann wrote:
> Well, fair enough; I suppose the README.Debian note should not be quite
> as explicit as I made it. I'm just not very happy with the gratuitous
> (in my view) change to the upstream tarball, so I wanted to be as clear
> about it as I could for anyone else wondering why it didn't match the
> released tarball. If it were up to me, I wouldn't be making this change
> at all, but it seems the alternative is to release lenny without
> quodlibet, which is not very satisfactory either.

There has never been a clear explaination in #477454 as to why the bug
should be considered RC at all, or why, if it is RC, it would require
modification of the upstream tarball to fix.

There have been vague mutterings about the content being illegal in
germany; I've already pointed out in the bug log several other instances
of personal insults included in Debian packages. If the people who think
this is illegal in germany, and that Debian should censor such speech
think this bug is RC, they need to begin a comprensive audit and mass RC
bug filing on all the other packages too. (They might also find certian
such insults on the Debian mailing lists..)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Tristan Seligmann <mithrandi@mithrandi.net>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #116 received at 477454@bugs.debian.org (full text, mbox):

From: Tristan Seligmann <mithrandi@mithrandi.net>
To: Joey Hess <joeyh@debian.org>, 477454@bugs.debian.org
Cc: debian-python@lists.debian.org, Andreas Barth <aba@not.so.argh.org>
Subject: Re: Bug#477454: RFS: quodlibet (1.0.ds1-1)
Date: Wed, 4 Jun 2008 13:57:13 +0200
[Message part 1 (text/plain, inline)]
* Joey Hess <joeyh@debian.org> [2008-06-03 22:51:16 -0400]:

> Tristan Seligmann wrote:
> > Well, fair enough; I suppose the README.Debian note should not be quite
> > as explicit as I made it. I'm just not very happy with the gratuitous
> > (in my view) change to the upstream tarball, so I wanted to be as clear
> > about it as I could for anyone else wondering why it didn't match the
> > released tarball. If it were up to me, I wouldn't be making this change
> > at all, but it seems the alternative is to release lenny without
> > quodlibet, which is not very satisfactory either.
> 
> There has never been a clear explaination in #477454 as to why the bug
> should be considered RC at all, or why, if it is RC, it would require
> modification of the upstream tarball to fix.

The explanation appears to be "because an RM says so"; as far as
modifying the upstream tarball goes, the only way anyone is going to
see the offending code is if they go looking for it. If the objective is
just to avoid casual users from being exposed to it, then nothing needs
to be changed in the first place, so I don't see the point in doing
anything at all in that case.

Am I missing some other rationale here? Unfortunately Andreas Barth has
not yet provided any further clarity on his statement that "the fix is
pretty easy and forward"; CC'ing him again to find out what he meant...

Once again, my personal opinion is that this really shouldn't be such a
big deal that it would prevent the package from releasing as-is with
lenny; the relevant code has already been changed upstream, can't this
bug be left as a non-RC severity and be closed with the next upload of
a new upstream release? I would have just done that anyway, but it seems
the next upstream release is likely to be long after lenny, so this
isn't an option unless the severity of the bug can be downgraded.

> There have been vague mutterings about the content being illegal in
> germany; I've already pointed out in the bug log several other instances
> of personal insults included in Debian packages. If the people who think
> this is illegal in germany, and that Debian should censor such speech
> think this bug is RC, they need to begin a comprensive audit and mass RC
> bug filing on all the other packages too. (They might also find certian
> such insults on the Debian mailing lists..)

I believe the "illegal in Germany" reasoning has already been shot down.
-- 
mithrandi, i Ainil en-Balandor, a faer Ambar
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to "Jeremy Cantrell" <jmcantrell@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #121 received at 477454@bugs.debian.org (full text, mbox):

From: "Jeremy Cantrell" <jmcantrell@gmail.com>
To: "Joey Hess" <joeyh@debian.org>, 477454@bugs.debian.org
Subject: Re: Bug#477454: a few of the many occurences of "fuck" in Debian changelogs (and more)
Date: Wed, 4 Jun 2008 08:50:51 -0400
why are we policing profanity? can we all just take a deep breath and
lighten the hell up?

On Tue, Jun 3, 2008 at 6:22 PM, Joey Hess <joeyh@debian.org> wrote:
> Now that this bug has been brought to my attention, I cannot help
> myself. I have to grep Debian changelogs for profanity, filter for
> profanity that includes personal insults, and wonder why these packages
> reached the archive w/o RC bug reports being filed:
>
>  * The fucked up system release. (Fuck off Long, it is justified.)
>
>  -- Zephaniah E. Hull <warp@debian.org>  Mon, 18 Mar 2002 19:10:17 -0500
>
> (IIRC the Long mentioned is a user who adopted the name of the Heinlein
> character.)
>
>  * Changed debian/watch to match with the new fucking Sourceforge
>    Interface. Sourceforge sucks!
>
>  -- Joerg Jaspert <joerg@debian.org>  Sun,  5 May 2002 15:24:17 +0200
>
> (I guess this was before he bacame a ftp-master and started drinking milk.)
>
>  * The "Fuck Me Harder" release.
>
>  -- Joel Klecker <debian-glibc@lists.debian.org>  Fri, 29 Oct 1999 09:06:27 -0700
>
> (Not a personal insult, but my all time favorite occurance of "fuck"
> in a changelog, evar. Honorable mention to gpm 1.19.6-10.)
>
>  * allow hunspell-dictionary-de in hunspells Depends:, thanks
>    Gerfried Fucks (closes: #359628)
>
>  -- Rene Engelhard <rene@debian.org>  Tue, 28 Mar 2006 20:08:34 +0200
>
> (Er, ITYM "Fuchs". HTH.)
>
>  * Use [:lower:] in rules fule because fucking LC_COLLATE blows me.
>
>  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2001 22:59:58 -0400
>
> (Just to be clear, I *do* intend that as a personal insult to the inventors
> of that monstrosity.)
>
>    * The "I fucking hate libtool" release. Prevent libtool from checking things
>      we do not need at all, such as a C++ or an F77 compiler. Sigh.
>
>  -- Julien BLACHE <jblache@debian.org>  Tue,  3 Jun 2003 22:34:48 +0200
>
> (Surely not this can't be the ONLY "I fucking hate libtool" release?)
>
>    - Avoid recursive brainfuck with type-handling.  This actualy fixes
>      #297269, but we leave it for t-h to close.
>
>  -- Robert Millan <rmh@debian.org>  Thu, 14 Apr 2005 18:36:04 +0200
>
> (Honourable mention for the mental imagery.)
>
>  * 'wearing my "fuck redhat" shirt and loving it' release
>
>  -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed,  7 Mar 2001 10:42:03 -0800
>
> (A shirt I remember well, though actually not fondly.)
>
>    The upstream author is kind of a lazy bastard
>
>  -- Colin Walters <walters@debian.org>  Fri, 15 Aug 2003 21:31:23 -0400
>
> (Does profanely insulting oneself count though?)
>
>
> PS, don't even get me started on the (literally) 490 occurances of the term
> "shit" in dpkg's source. Which are split (localized?) between a ohshite()
> and a ohshit() function.
>
> --
> see shy jo
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.6 (GNU/Linux)
>
> iD8DBQFIRcQzd8HHehbQuO8RAqiOAJ9PSIBUR29f3WO0nEWUxBspj5US2wCfbedF
> loZ4/2mqQHtiBVAwC/19VFY=
> =wxrh
> -----END PGP SIGNATURE-----
>
>



-- 
:wq




Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Neil Van Dyke <neil@neilvandyke.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #126 received at 477454@bugs.debian.org (full text, mbox):

From: Neil Van Dyke <neil@neilvandyke.org>
To: 477454@bugs.debian.org
Subject: (no subject)
Date: Fri, 11 Jul 2008 23:07:12 -0400
Just fix this-- or have Debian known not only as the distro that went 
the extra mile to compromise OpenSSL for two years, but that also has no 
class.





Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #131 received at 477454@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 477454@bugs.debian.org
Subject: sponsored upload
Date: Mon, 21 Jul 2008 22:06:31 +0200
[Message part 1 (text/plain, inline)]
Hi,

Although I do not believe this issue is RC (see e.g. Joey Hess' comments about 
that), the best way to quickest this dragging issue seems to just fulfill the 
maintainer's sponsorship request, which I've just did. I hope this gets us 
rid of this issue as soon as possible so we can move on.


Thijs
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.za.net>:
Bug#477454; Package quodlibet. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Tristan Seligmann <mithrandi@mithrandi.za.net>. Full text and rfc822 format available.

Message #136 received at 477454@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: Tristan Seligmann <mithrandi@mithrandi.net>
Cc: 477454@bugs.debian.org, control@bugs.debian.org
Subject: Re: quodlibet_1.0.ds1-2_powerpc.changes REJECTED
Date: Tue, 22 Jul 2008 01:22:23 +0200
[Message part 1 (text/plain, inline)]
tags 477454 pending
thanks

On Tuesday 22 July 2008 00:05, you wrote:
> Rejected: quodlibet_1.0.ds1-2.dsc refers to quodlibet_1.0.ds1.orig.tar.gz,
> but I can't find it in the queue or in the pool.

Right, I rebuilt it with the .orig.tar.gz but by build system is giving 
problems right now so I can't upload it. I'll make sure it gets uploaded 
soon.


Thijs
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Mon, 21 Jul 2008 23:24:03 GMT) Full text and rfc822 format available.

Reply sent to Tristan Seligmann <mithrandi@mithrandi.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sebastian Dröge <slomo@circular-chaos.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #143 received at 477454-close@bugs.debian.org (full text, mbox):

From: Tristan Seligmann <mithrandi@mithrandi.net>
To: 477454-close@bugs.debian.org
Subject: Bug#477454: fixed in quodlibet 1.0.ds1-2
Date: Tue, 22 Jul 2008 14:02:04 +0000
Source: quodlibet
Source-Version: 1.0.ds1-2

We believe that the bug you reported is fixed in the latest version of
quodlibet, which is due to be installed in the Debian FTP archive:

exfalso_1.0.ds1-2_all.deb
  to pool/main/q/quodlibet/exfalso_1.0.ds1-2_all.deb
quodlibet-ext_1.0.ds1-2_i386.deb
  to pool/main/q/quodlibet/quodlibet-ext_1.0.ds1-2_i386.deb
quodlibet_1.0.ds1-2.diff.gz
  to pool/main/q/quodlibet/quodlibet_1.0.ds1-2.diff.gz
quodlibet_1.0.ds1-2.dsc
  to pool/main/q/quodlibet/quodlibet_1.0.ds1-2.dsc
quodlibet_1.0.ds1-2_all.deb
  to pool/main/q/quodlibet/quodlibet_1.0.ds1-2_all.deb
quodlibet_1.0.ds1.orig.tar.gz
  to pool/main/q/quodlibet/quodlibet_1.0.ds1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 477454@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tristan Seligmann <mithrandi@mithrandi.net> (supplier of updated quodlibet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 04 Jun 2008 03:40:37 +0200
Source: quodlibet
Binary: exfalso quodlibet quodlibet-ext
Architecture: source all i386
Version: 1.0.ds1-2
Distribution: unstable
Urgency: high
Maintainer: Tristan Seligmann <mithrandi@mithrandi.net>
Changed-By: Tristan Seligmann <mithrandi@mithrandi.net>
Description: 
 exfalso    - audio tag editor for GTK+
 quodlibet  - audio library manager and player for GTK+
 quodlibet-ext - extensions for the Quod Libet audio player
Closes: 477454
Changes: 
 quodlibet (1.0.ds1-2) unstable; urgency=low
 .
   * Alter README.Debian note so as to avoid mentioning the problematic line of
     code.
 .
 quodlibet (1.0.ds1-1) unstable; urgency=high
 .
   * Ship modified upstream tarball, removing insulting source code, and put a
     note in README.Debian to explain why we're doing this (closes: #477454).
   * Add Vcs-Darcs field.
   * Add Homepage field.
   * Update my e-mail address.
   * Stop updating .po files during build.
Checksums-Sha1: 
 0ef5e91ff69257154b7186113010c77e79c67e07 1582 quodlibet_1.0.ds1-2.dsc
 ed7231dd8ab19c74647d6163e8fb2cd28075c363 614502 quodlibet_1.0.ds1.orig.tar.gz
 0ada4d406f158e450668a1d308d3e5749da41bc3 8234 quodlibet_1.0.ds1-2.diff.gz
 7c5763cb1fb99f2f51ff99f946f7a11f6a154deb 530106 exfalso_1.0.ds1-2_all.deb
 193f338ba779b0b1c8ee648c760527bf7de0eb97 32698 quodlibet_1.0.ds1-2_all.deb
 7d92bf2ffb32d9fe85508d2d1eda6e0881a19067 24828 quodlibet-ext_1.0.ds1-2_i386.deb
Checksums-Sha256: 
 f07a9bfb05b5f310d9d915f22ee5633dad07026fa917a162ac67118f338999fa 1582 quodlibet_1.0.ds1-2.dsc
 27946763a65533bff47f61e657f5f5af790c75d67edb3ec918132a39a7371592 614502 quodlibet_1.0.ds1.orig.tar.gz
 75f48896c98671eab6e6b0fd1ad5a5ff65a73f302f86e074b242807a4be48c06 8234 quodlibet_1.0.ds1-2.diff.gz
 9cb8db4f220f41d58165a8b4b9e77138bb05376b591bd203f122e908ab4f5b77 530106 exfalso_1.0.ds1-2_all.deb
 c7b722bd89258a026b7795ef8d531b4b179c8618fe2239928771e39b8f88114c 32698 quodlibet_1.0.ds1-2_all.deb
 f72211b1df615b93acda404a06c7e9a40b4f02b618bec8db8a58930a070fc296 24828 quodlibet-ext_1.0.ds1-2_i386.deb
Files: 
 dc5ea551354daed6d0f5ad3fd18843a2 1582 sound optional quodlibet_1.0.ds1-2.dsc
 ce0e043d5cc1316263fc4733f0bef45d 614502 sound optional quodlibet_1.0.ds1.orig.tar.gz
 b2cbc53bcf44dec68472149cdb1f2574 8234 sound optional quodlibet_1.0.ds1-2.diff.gz
 c8e4cc7c8994902a86e2b8dc81ca9976 530106 sound optional exfalso_1.0.ds1-2_all.deb
 03f76106920d7ff4e4d2bd40518be2c6 32698 sound optional quodlibet_1.0.ds1-2_all.deb
 1f8a867228a6baf1c5b72f6e8e178e9a 24828 sound optional quodlibet-ext_1.0.ds1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQEcBAEBAgAGBQJIhef2AAoJEGz0hbPcukPfyYcIAIUSzpI7+TwNJx3ObS6ihY7r
MulLn9KoRIATObhZq0Mq20an8Ko2XN0U7hfqv4OWZwpt0cuKSFZD6Fb8i/zE2/Xo
mK/hdoWREiaxFBwK4kiwg00a1RZtaxeqwgdCmm3j0Gwgk37IlatPDCITBlgeYZbS
c0le7SI4scdtfnggOivw20l+2WyTmw9nKbSTw863Fh4GqHzHRsn5b6HZSK2wNi+2
xJDZLvI1DS+KoPfqHD0k9t9YgYvPjs8VWizn2MeZ45+w99bkMweUjBBfgrd5PgKM
N5fxq3ufgEVY44RiTQSYQ9WoLwsPiwH14mAWEjaqQbB1LdV66bs7b6HJdJpRva4=
=EEnB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Aug 2008 07:30:56 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from mithrandi@mithrandi.net (Tristan Seligmann) to control@bugs.debian.org. (Tue, 17 Feb 2009 22:33:01 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.0-1. Request was from mithrandi@mithrandi.net (Tristan Seligmann) to control@bugs.debian.org. (Tue, 17 Feb 2009 22:33:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Mar 2009 07:29:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:53:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.